TimeTree Help

Submit inquiry

Why do you lack support for earlier versions of operating systems? (iOS / Android)

For the best experience while using TimeTree, we highly recommend that you keep your device up to date with the latest version of iOS and Android. 

TimeTree, for safety reasons, does not support versions of iOS and Android before a specific version. Using TimeTree on versions lower than those below will result in users being unable to open the app and use it effectively. 

Supported Versions:

  • iOS 10.0 or later
  • Android 5.0.0 or later


If your OS version is not supported, we recommend using the Web Version of TimeTree on a PC or tablet. 

Was this article helpful?

Comments